Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4619 - in.telnetd reports no ptys when there are plenty
Summary: in.telnetd reports no ptys when there are plenty
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: telnet
Version: 6.0
Hardware: alpha
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-19 23:08 UTC by michael.ha
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-20 14:02:19 UTC


Attachments (Terms of Use)

Description michael.ha 1999-08-19 23:08:53 UTC
On a Compaq Server DS10, outbound telnet works but inbound
telnet fails with the message:

[root@jfoxx /root]# telnet localhost
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
telnetd: All network ports in use.
Connection closed by foreign host.
[root@jfoxx /root]# telnet jfoxx
Trying 10.0.0.1...
Connected to jfoxx.ivo.dec.com.
Escape character is '^]'.
telnetd: All network ports in use.
Connection closed by foreign host.

And yet there are plenty of ptys available:

[root@jfoxx /root]# who
root     ttyp0    Aug 19 18:52
[root@jfoxx /root]# ls -l /dev/pty*
crw-rw-rw-   1 root     tty        2, 176 Aug 19 17:42
/dev/ptya0
crw-rw-rw-   1 root     tty        2, 177 Aug 19 17:42
/dev/ptya1
crw-rw-rw-   1 root     tty        2, 178 Aug 19 17:42
/dev/ptya2
crw-rw-rw-   1 root     tty        2, 179 Aug 19 17:42
/dev/ptya3
crw-rw-rw-   1 root     tty        2, 180 Aug 19 17:42
/dev/ptya4
crw-rw-rw-   1 root     tty        2, 181 Aug 19 17:42
/dev/ptya5
crw-rw-rw-   1 root     tty        2, 182 Aug 19 17:42
/dev/ptya6
crw-rw-rw-   1 root     tty        2, 183 Aug 19 17:42
/dev/ptya7
crw-rw-rw-   1 root     tty        2, 184 Aug 19 17:42
/dev/ptya8
crw-rw-rw-   1 root     tty        2, 185 Aug 19 17:42
/dev/ptya9
crw-rw-rw-   1 root     tty        2, 186 Aug 19 17:42
/dev/ptyaa
crw-rw-rw-   1 root     tty        2, 187 Aug 19 17:42
/dev/ptyab
crw-rw-rw-   1 root     tty        2, 188 Aug 19 17:42
/dev/ptyac
crw-rw-rw-   1 root     tty        2, 189 Aug 19 17:42
/dev/ptyad
crw-rw-rw-   1 root     tty        2, 190 Aug 19 17:42
/dev/ptyae
crw-rw-rw-   1 root     tty        2, 191 Aug 19 17:42
/dev/ptyaf
crw-rw-rw-   1 root     tty        2, 192 Aug 19 17:42
/dev/ptyb0
crw-rw-rw-   1 root     tty        2, 193 Aug 19 17:42
/dev/ptyb1
crw-rw-rw-   1 root     tty        2, 194 Aug 19 17:42
/dev/ptyb2
crw-rw-rw-   1 root     tty        2, 195 Aug 19 17:42
/dev/ptyb3
crw-rw-rw-   1 root     tty        2, 196 Aug 19 17:42
/dev/ptyb4
crw-rw-rw-   1 root     tty        2, 197 Aug 19 17:42
/dev/ptyb5
crw-rw-rw-   1 root     tty        2, 198 Aug 19 17:42
/dev/ptyb6
crw-rw-rw-   1 root     tty        2, 199 Aug 19 17:42
/dev/ptyb7
crw-rw-rw-   1 root     tty        2, 200 Aug 19 17:42
/dev/ptyb8
crw-rw-rw-   1 root     tty        2, 201 Aug 19 17:42
/dev/ptyb9
crw-rw-rw-   1 root     tty        2, 202 Aug 19 17:42
/dev/ptyba
crw-rw-rw-   1 root     tty        2, 203 Aug 19 17:42
/dev/ptybb
crw-rw-rw-   1 root     tty        2, 204 Aug 19 17:42
/dev/ptybc
crw-rw-rw-   1 root     tty        2, 205 Aug 19 17:42
/dev/ptybd
crw-rw-rw-   1 root     tty        2, 206 Aug 19 17:42
/dev/ptybe
crw-rw-rw-   1 root     tty        2, 207 Aug 19 17:42
/dev/ptybf
crw-rw-rw-   1 root     tty        2, 208 Aug 19 17:42
/dev/ptyc0
crw-rw-rw-   1 root     tty        2, 209 Aug 19 17:42
/dev/ptyc1
crw-rw-rw-   1 root     tty        2, 210 Aug 19 17:42
/dev/ptyc2
crw-rw-rw-   1 root     tty        2, 211 Aug 19 17:42
/dev/ptyc3
crw-rw-rw-   1 root     tty        2, 212 Aug 19 17:42
/dev/ptyc4
crw-rw-rw-   1 root     tty        2, 213 Aug 19 17:42
/dev/ptyc5
crw-rw-rw-   1 root     tty        2, 214 Aug 19 17:42
/dev/ptyc6
crw-rw-rw-   1 root     tty        2, 215 Aug 19 17:42
/dev/ptyc7
crw-rw-rw-   1 root     tty        2, 216 Aug 19 17:42
/dev/ptyc8
crw-rw-rw-   1 root     tty        2, 217 Aug 19 17:42
/dev/ptyc9
crw-rw-rw-   1 root     tty        2, 218 Aug 19 17:42
/dev/ptyca
crw-rw-rw-   1 root     tty        2, 219 Aug 19 17:42
/dev/ptycb
crw-rw-rw-   1 root     tty        2, 220 Aug 19 17:42
/dev/ptycc
crw-rw-rw-   1 root     tty        2, 221 Aug 19 17:42
/dev/ptycd
crw-rw-rw-   1 root     tty        2, 222 Aug 19 17:42
/dev/ptyce
crw-rw-rw-   1 root     tty        2, 223 Aug 19 17:42
/dev/ptycf
crw-rw-rw-   1 root     tty        2, 224 Aug 19 17:42
/dev/ptyd0
crw-rw-rw-   1 root     tty        2, 225 Aug 19 17:42
/dev/ptyd1
crw-rw-rw-   1 root     tty        2, 226 Aug 19 17:42
/dev/ptyd2
crw-rw-rw-   1 root     tty        2, 227 Aug 19 17:42
/dev/ptyd3
crw-rw-rw-   1 root     tty        2, 228 Aug 19 17:42
/dev/ptyd4
crw-rw-rw-   1 root     tty        2, 229 Aug 19 17:42
/dev/ptyd5
crw-rw-rw-   1 root     tty        2, 230 Aug 19 17:42
/dev/ptyd6
crw-rw-rw-   1 root     tty        2, 231 Aug 19 17:42
/dev/ptyd7
crw-rw-rw-   1 root     tty        2, 232 Aug 19 17:42
/dev/ptyd8
crw-rw-rw-   1 root     tty        2, 233 Aug 19 17:42
/dev/ptyd9
crw-rw-rw-   1 root     tty        2, 234 Aug 19 17:42
/dev/ptyda
crw-rw-rw-   1 root     tty        2, 235 Aug 19 17:42
/dev/ptydb
crw-rw-rw-   1 root     tty        2, 236 Aug 19 17:42
/dev/ptydc
crw-rw-rw-   1 root     tty        2, 237 Aug 19 17:42
/dev/ptydd
crw-rw-rw-   1 root     tty        2, 238 Aug 19 17:42
/dev/ptyde
crw-rw-rw-   1 root     tty        2, 239 Aug 19 17:42
/dev/ptydf
crw-rw-rw-   1 root     tty        2, 240 Aug 19 17:42
/dev/ptye0
crw-rw-rw-   1 root     tty        2, 241 Aug 19 17:42
/dev/ptye1
crw-rw-rw-   1 root     tty        2, 242 Aug 19 17:42
/dev/ptye2
crw-rw-rw-   1 root     tty        2, 243 Aug 19 17:42
/dev/ptye3
crw-rw-rw-   1 root     tty        2, 244 Aug 19 17:42
/dev/ptye4
crw-rw-rw-   1 root     tty        2, 245 Aug 19 17:42
/dev/ptye5
crw-rw-rw-   1 root     tty        2, 246 Aug 19 17:42
/dev/ptye6
crw-rw-rw-   1 root     tty        2, 247 Aug 19 17:42
/dev/ptye7
crw-rw-rw-   1 root     tty        2, 248 Aug 19 17:42
/dev/ptye8
crw-rw-rw-   1 root     tty        2, 249 Aug 19 17:42
/dev/ptye9
crw-rw-rw-   1 root     tty        2, 250 Aug 19 17:42
/dev/ptyea
crw-rw-rw-   1 root     tty        2, 251 Aug 19 17:42
/dev/ptyeb
crw-rw-rw-   1 root     tty        2, 252 Aug 19 17:42
/dev/ptyec
crw-rw-rw-   1 root     tty        2, 253 Aug 19 17:42
/dev/ptyed
crw-rw-rw-   1 root     tty        2, 254 Aug 19 17:42
/dev/ptyee
crw-rw-rw-   1 root     tty        2, 255 Aug 19 17:42
/dev/ptyef
crw-rw-rw-   1 root     tty2,   0 Aug 19 18:52
/dev/ptyp0
crw-rw-rw-   1 root     tty        2,   1 Aug 19 18:52
/dev/ptyp1
crw-rw-rw-   1 root     tty        2,   2 Aug 19 17:42
/dev/ptyp2
crw-rw-rw-   1 root     tty        2,   3 Aug 19 17:42
/dev/ptyp3
crw-rw-rw-   1 root     tty        2,   4 Aug 19 17:42
/dev/ptyp4
crw-rw-rw-   1 root     tty        2,   5 Aug 19 17:42
/dev/ptyp5
crw-rw-rw-   1 root     tty        2,   6 Aug 19 17:42
/dev/ptyp6
crw-rw-rw-   1 root     tty        2,   7 Aug 19 17:42
/dev/ptyp7
crw-rw-rw-   1 root     tty        2,   8 Aug 19 17:42
/dev/ptyp8
crw-rw-rw-   1 root     tty        2,   9 Aug 19 17:42
/dev/ptyp9
crw-rw-rw-   1 root     tty        2,  10 Aug 19 17:42
/dev/ptypa
crw-rw-rw-   1 root     tty        2,  11 Aug 19 17:42
/dev/ptypb
crw-rw-rw-   1 root     tty        2,  12 Aug 19 17:42
/dev/ptypc
crw-rw-rw-   1 root     tty        2,  13 Aug 19 17:42
/dev/ptypd
crw-rw-rw-   1 root     tty        2,  14 Aug 19 17:42
/dev/ptype
crw-rw-rw-   1 root     tty        2,  15 Aug 19 17:42
/dev/ptypf
crw-rw-rw-   1 root     tty        2,  16 Aug 19 17:42
/dev/ptyq0
crw-rw-rw-   1 root     tty        2,  17 Aug 19 17:42
/dev/ptyq1
crw-rw-rw-   1 root     tty        2,  18 Aug 19 17:42
/dev/ptyq2
crw-rw-rw-   1 root     tty        2,  19 Aug 19 17:42
/dev/ptyq3
crw-rw-rw-   1 root     tty        2,  20 Aug 19 17:42
/dev/ptyq4
crw-rw-rw-   1 root     tty        2,  21 Aug 19 17:42
/dev/ptyq5
crw-rw-rw-   1 root     tty        2,  22 Aug 19 17:42
/dev/ptyq6
crw-rw-rw-   1 root     tty        2,  23 Aug 19 17:42
/dev/ptyq7
crw-rw-rw-   1 root     tty        2,  24 Aug 19 17:42
/dev/ptyq8
crw-rw-rw-   1 root     tty        2,  25 Aug 19 17:42
/dev/ptyq9
crw-rw-rw-   1 root     tty        2,  26 Aug 19 17:42
/dev/ptyqa
crw-rw-rw-   1 root     tty        2,  27 Aug 19 17:42
/dev/ptyqb
crw-rw-rw-   1 root     tty        2,  28 Aug 19 17:42
/dev/ptyqc
crw-rw-rw-   1 root     tty        2,  29 Aug 19 17:42
/dev/ptyqd
crw-rw-rw-   1 root     tty        2,  30 Aug 19 17:42
/dev/ptyqe
crw-rw-rw-   1 root     tty        2,  31 Aug 19 17:42
/dev/ptyqf
crw-rw-rw-   1 root     tty        2,  32 Aug 19 17:42
/dev/ptyr0
crw-rw-rw-   1 root     tty        2,  33 Aug 19 17:42
/dev/ptyr1
crw-rw-rw-   1 root     tty        2,  34 Aug 19 17:42
/dev/ptyr2
crw-rw-rw-   1 root     tty        2,  35 Aug 19 17:42
/dev/ptyr3
crw-rw-rw-   1 root     tty        2,  36 Aug 19 17:42
/dev/ptyr4
crw-rw-rw-   1 root     tty        2,  37 Aug 19 17:42
/dev/ptyr5
crw-rw-rw-   1 root     tty        2,  38 Aug 19 17:42
/dev/ptyr6
crw-rw-rw-   1 root     tty        2,  39 Aug 19 17:42
/dev/ptyr7
crw-rw-rw-   1 root     tty        2,  40 Aug 19 17:42
/dev/ptyr8
crw-rw-rw-   1 root     tty        2,  41 Aug 19 17:42
/dev/ptyr9
crw-rw-rw-   1 root     tty        2,  42 Aug 19 17:42
/dev/ptyra
crw-rw-rw-   1 root     tty        2,  43 Aug 19 17:42
/dev/ptyrb
crw-rw-rw-   1 root     tty        2,  44 Aug 19 17:42
/dev/ptyrc
crw-rw-rw-   1root     tty        2,  45 Aug 19 17:42
/dev/ptyrd
crw-rw-rw-   1 root     tty        2,  46 Aug 19 17:42
/dev/ptyre
crw-rw-rw-   1 root     tty        2,  47 Aug 19 17:42
/dev/ptyrf
crw-rw-rw-   1 root     tty        2,  48 Aug 19 17:42
/dev/ptys0
crw-rw-rw-   1 root     tty        2,  49 Aug 19 17:42
/dev/ptys1
crw-rw-rw-   1 root     tty        2,  50 Aug 19 17:42
/dev/ptys2
crw-rw-rw-   1 root     tty        2,  51 Aug 19 17:42
/dev/ptys3
crw-rw-rw-   1 root     tty        2,  52 Aug 19 17:42
/dev/ptys4
crw-rw-rw-   1 root     tty        2,  53 Aug 19 17:42
/dev/ptys5
crw-rw-rw-   1 root     tty        2,  54 Aug 19 17:42
/dev/ptys6
crw-rw-rw-   1 root     tty        2,  55 Aug 19 17:42
/dev/ptys7
crw-rw-rw-   1 root     tty        2,  56 Aug 19 17:42
/dev/ptys8
crw-rw-rw-   1 root     tty        2,  57 Aug 19 17:42
/dev/ptys9
crw-rw-rw-   1 root     tty        2,  58 Aug 19 17:42
/dev/ptysa
crw-rw-rw-   1 root     tty        2,  59 Aug 19 17:42
/dev/ptysb
crw-rw-rw-   1 root     tty        2,  60 Aug 19 17:42
/dev/ptysc
crw-rw-rw-   1 root     tty        2,  61 Aug 19 17:42
/dev/ptysd
crw-rw-rw-   1 root     tty        2,  62 Aug 19 17:42
/dev/ptyse
crw-rw-rw-   1 root     tty        2,  63 Aug 19 17:42
/dev/ptysf
crw-rw-rw-   1 root     tty        2,  64 Aug 19 17:42
/dev/ptyt0
crw-rw-rw-   1 root     tty        2,  65 Aug 19 17:42
/dev/ptyt1
crw-rw-rw-   1 root     tty        2,  66 Aug 19 17:42
/dev/ptyt2
crw-rw-rw-   1 root     tty        2,  67 Aug 19 17:42
/dev/ptyt3
crw-rw-rw-   1 root     tty        2,  68 Aug 19 17:42
/dev/ptyt4
crw-rw-rw-   1 root     tty        2,  69 Aug 19 17:42
/dev/ptyt5
crw-rw-rw-   1 root     tty        2,  70 Aug 19 17:42
/dev/ptyt6
crw-rw-rw-   1 root     tty        2,  71 Aug 19 17:42
/dev/ptyt7
crw-rw-rw-   1 root     tty        2,  72 Aug 19 17:42
/dev/ptyt8
crw-rw-rw-   1 root     tty        2,  73 Aug 19 17:42
/dev/ptyt9
crw-rw-rw-   1 root     tty        2,  74 Aug 19 17:42
/dev/ptyta
crw-rw-rw-   1 root     tty        2,  75 Aug 19 17:42
/dev/ptytb
crw-rw-rw-   1 root     tty        2,  76 Aug 19 17:42
/dev/ptytc
crw-rw-rw-   1 root     tty        2,  77 Aug 19 17:42
/dev/ptytd
crw-rw-rw-   1 root     tty        2,  78 Aug 19 17:42
/dev/ptyte
crw-rw-rw-   1 root     tty        2,  79 Aug 19 17:42
/dev/ptytf
crw-rw-rw-   1 root     tty        2,  80 Aug 19 17:42
/dev/ptyu0
crw-rw-rw-   1 root     tty        2,  81 Aug 19 17:42
/dev/ptyu1
crw-rw-rw-   1 root     tty        2,  82 Aug 19 17:42
/dev/ptyu2
crw-rw-rw-   1 root     tty        2,  83 Aug 19 17:42
/dev/ptyu3
crw-rw-rw-   1 root     tty        2,  84 Aug 19 17:42
/dev/ptyu4
crw-rw-rw-   1 root     tty        2,  85 Aug 19 17:42
/dev/ptyu5
crw-rw-rw-   1 root     tty        2,  86 Aug 19 17:42
/dev/ptyu6
crw-rw-rw-   1 root     tty        2,  87 Aug 19 17:42
/dev/ptyu7
crw-rw-rw-   1 root     tty        2,  88 Aug 19 17:42
/dev/ptyu8
crw-rw-rw-   1 root     tty        2,  89 Aug 19 17:42
/dev/ptyu9
crw-rw-rw-   1 root     tty        2,  90 Aug 19 17:42
/dev/ptyua
crw-rw-rw-   1 root     tty        2,  91 Aug 19 17:42
/dev/ptyub
crw-rw-rw-   1 root     tty        2,  92 Aug 19 17:42
/dev/ptyuc
crw-rw-rw-   1 root     tty        2,  93 Aug 19 17:42
/dev/ptyud
crw-rw-rw-   1 root     tty        2,  94 Aug 19 17:42
/dev/ptyue
crw-rw-rw-   1 root     tty        2,  95 Aug 19 17:42
/dev/ptyuf
crw-rw-rw-   1 root     tty        2,  96 Aug 19 17:42
/dev/ptyv0
crw-rw-rw-   1 root     tty        2,  97 Aug 19 17:42
/dev/ptyv1
crw-rw-rw-   1 root     tty        2,  98 Aug 19 17:42
/dev/ptyv2
crw-rw-rw-   1 root     tty        2,  99 Aug 19 17:42
/dev/ptyv3
crw-rw-rw-   1 root     tty        2, 100 Aug 19 17:42
/dev/ptyv4
crw-rw-rw-   1 root     tty        2, 101 Aug 19 17:42
/dev/ptyv5
crw-rw-rw-   1 root     tty        2, 102 Aug 19 17:42
/dev/ptyv6
crw-rw-rw-   1 root     tty        2, 103 Aug 19 17:42
/dev/ptyv7
crw-rw-rw-   1 root     tty        2, 104 Aug 19 17:42
/dev/ptyv8
crw-rw-rw-   1 root     tty        2, 105 Aug 19 17:42
/dev/ptyv9
crw-rw-rw-   1 root     tty        2, 106 Aug 19 17:42
/dev/ptyva
crw-rw-rw-   1 root     tty        2, 107 Aug 19 17:42
/dev/ptyvb
crw-rw-rw-   1 root     tty        2, 108 Aug 19 17:42
/dev/ptyvc
crw-rw-rw-   1 root     tty        2, 109 Aug 19 17:42
/dev/ptyvd
crw-rw-rw-   1 root     tty        2, 110 Aug 19 17:42
/dev/ptyve
crw-rw-rw-   1 root     tty        2, 111 Aug 19 17:42
/dev/ptyvf
crw-rw-rw-   1 root     tty        2, 112 Aug 19 17:42
/dev/ptyw0
crw-rw-rw-   1 root     tty        2, 113 Aug 19 17:42
/dev/ptyw1
crw-rw-rw-   1 root     tty        2, 114 Aug 19 17:42
/dev/ptyw2
crw-rw-rw-   1 root     tty        2, 115 Aug 19 17:42
/dev/ptyw3
crw-rw-rw-   1 root     tty        2, 116 Aug 19 17:42
/dev/ptyw4
crw-rw-rw-   1 root     tty        2, 117 Aug 19 17:42
/dev/ptyw5
crw-rw-rw-   1 root     tty        2, 118 Aug 19 17:42
/dev/ptyw6
crw-rw-rw-   1 root     tty        2, 119 Aug 19 17:42
/dev/ptyw7
crw-rw-rw-   1 root     tty        2, 120 Aug 19 17:42
/dev/ptyw8
crw-rw-rw-   1 root     tty        2, 121 Aug 19 17:42
/dev/ptyw9
crw-rw-rw-   1 root     tty        2, 122 Aug 19 17:42
/dev/ptywa
crw-rw-rw-   1 root     tty        2, 123 Aug 19 17:42
/dev/ptywb
crw-rw-rw-   1 root     tty        2, 124 Aug 19 17:42
/dev/ptywc
crw-rw-rw-   1 root     tty        2, 125 Aug 19 17:42
/dev/ptywd
crw-rw-rw-   1 root     tty        2, 126 Aug 19 17:42
/dev/ptywe
crw-rw-rw-   1 root     tty        2, 127 Aug 19 17:42
/dev/ptywf
crw-rw-rw-   1 root     tty        2, 128 Aug 19 17:42
/dev/ptyx0
crw-rw-rw-   1 root     tty        2, 129 Aug 19 17:42
/dev/ptyx1
crw-rw-rw-   1 root     tty        2, 130 Aug 19 17:42
/dev/ptyx2
crw-rw-rw-   1 root     tty        2, 131 Aug 19 17:42
/dev/ptyx3
crw-rw-rw-   1 root     tty        2, 132 Aug 19 17:42
/dev/ptyx4
crw-rw-rw-   1 root     tty        2, 133 Aug 19 17:42
/dev/ptyx5
crw-rw-rw-   1 root     tty        2, 134 Aug 19 17:42
/dev/ptyx6
crw-rw-rw-   1 root     tty        2, 135 Aug 19 17:42
/dev/ptyx7
crw-rw-rw-   1 root     tty        2, 136 Aug 19 17:42
/dev/ptyx8
crw-rw-rw-   1 root     tty        2, 137 Aug 19 17:42
/dev/ptyx9
crw-rw-rw-   1 root     tty        2, 138 Aug 19 17:42
/dev/ptyxa
crw-rw-rw-   1 root     tty        2, 139 Aug 19 17:42
/dev/ptyxb
crw-rw-rw-   1 root     tty        2, 140 Aug 19 17:42
/dev/ptyxc
crw-rw-rw-   1 root     tty        2, 141 Aug 19 17:42
/dev/ptyxd
crw-rw-rw-   1 root     tty        2, 142 Aug 19 17:42
/dev/ptyxe
crw-rw-rw-   1 root     tty        2, 143 Aug 19 17:42
/dev/ptyxf
crw-rw-rw-   1 root     tty        2, 144 Aug 19 17:42
/dev/ptyy0
crw-rw-rw-   1 root     tty        2, 145 Aug 19 17:42
/dev/ptyy1
crw-rw-rw-   1 root     tty        2, 146 Aug 19 17:42
/dev/ptyy2
crw-rw-rw-   1 root     tty        2, 147 Aug 19 17:42
/dev/ptyy3
crw-rw-rw-   1 root     tty        2, 148 Aug 19 17:42
/dev/ptyy4
crw-rw-rw-   1 root     tty        2, 149 Aug 19 17:42
/dev/ptyy5
crw-rw-rw-   1 root     tty        2, 150 Aug 19 17:42
/dev/ptyy6
crw-rw-rw-   1 root     tty        2, 151 Aug 19 17:42
/dev/ptyy7
crw-rw-rw-   1 root     tty        2, 152 Aug 19 17:42
/dev/ptyy8
crw-rw-rw-   1 root     tty        2, 153 Aug 19 17:42
/dev/ptyy9
crw-rw-rw-   1 root     tty        2, 154 Aug 19 17:42
/dev/ptyya
crw-rw-rw-   1 root     tty        2, 155 Aug 19 17:42
/dev/ptyyb
crw-rw-rw-   1 root     tty        2, 156 Aug 19 17:42
/dev/ptyyc
crw-rw-rw-   1 root     tty        2, 157 Aug 19 17:42
/dev/ptyyd
crw-rw-rw-   1 root     tty        2, 158 Aug 19 17:42
/dev/ptyye
crw-rw-rw-   1 root     tty        2, 159 Aug 19 17:42
/dev/ptyyf
crw-rw-rw-   1 root     tty        2, 160 Aug 19 17:42
/dev/ptyz0
crw-rw-rw-   1 root     tty        2, 161 Aug 19 17:42
/dev/ptyz1
crw-rw-rw-   1 root     tty        2, 162 Aug 19 17:42
/dev/ptyz2
crw-rw-rw-   1 root     tty        2, 163 Aug 19 17:42
/dev/ptyz3
crw-rw-rw-   1 root     tty        2, 164 Aug 19 17:42
/dev/ptyz4
crw-rw-rw-   1 root     tty        2, 165 Aug 19 17:42
/dev/ptyz5
crw-rw-rw-   1 root     tty        2, 166 Aug 19 17:42
/dev/ptyz6
crw-rw-rw-   1 root     tty        2, 167 Aug 19 17:42
/dev/ptyz7
crw-rw-rw-   1 root     tty        2, 168 Aug 19 17:42
/dev/ptyz8
crw-rw-rw-   1 root     tty        2, 169 Aug 19 17:42
/dev/ptyz9
crw-rw-rw-   1 root     tty        2, 170 Aug 19 17:42
/dev/ptyza
crw-rw-rw-   1 root     tty        2, 171 Aug 19 17:42
/dev/ptyzb
crw-rw-rw-   1 root     tty        2, 172 Aug 19 17:42
/dev/ptyzc
crw-rw-rw-   1 root     tty        2, 173 Aug 19 17:42
/dev/ptyzd
crw-rw-rw-   1 root     tty        2, 174 Aug 19 17:42
/dev/ptyze
crw-rw-rw-   1 root     tty        2, 175 Aug 19 17:42
/dev/ptyzf

---
Here is version info:

[root@jfoxx linux-2.2.11]# sh scripts/ver_linux
-- Versions installed: (if some fields are empty or looks
-- unusual then possibly you have very old versions)
Linux jfoxx.ivo.dec.com 2.2.3 #7 Fri Mar 26 16:06:36 EST
1999 alpha unknown
Kernel modules         2.1.121
Gnu C                  egcs-2.91.66
Binutils               2.9.1.0.24
Linux C Library        2.1.1
Dynamic linker         ldd (GNU libc) 2.1.1
Procps                 2.0.2
Mount                  2.9o
Net-tools              1.51
Console-tools          1999.03.02
Sh-utils               1.16
cat: /proc/modules: No such file or directory
Modules Loaded
[root@jfoxx linux-2.2.11]# cd /
[root@jfoxx /]# cat /proc/version
Linux version 2.2.3 (jestabro@linux03.hlo.dec.com) (gcc
version egcs-2.90.29 980515 (egcs-1.0.3 release)) #7 Fri
Mar 26 16:06:36 EST 1999
[root@jfoxx /]# cat /proc/cpuinfo
cpu			: Alpha
cpu model		: EV6
cpu variation		: 7
cpu revision		: 0
cpu serial number	:
system type		: Tsunami
system variation	: Webbrick
system revision		: 0
system serial number	:
cycle frequency [Hz]	: 462962962
timer frequency [Hz]	: 1024.00
page size [bytes]	: 8192
phys. address bits	: 44
max. addr. space #	: 255
BogoMIPS		: 920.64
kernel unaligned acc	: 0 (pc=0,va=0)
user unaligned acc	: 4 (pc=120002b2c,va=12011777c)
platform string		: COMPAQ AlphaServer DS10 466 MHz
[root@jfoxx /]# cat /proc/modules
cat: /proc/modules: No such file or directory
[root@jfoxx /]# cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: DEC      Model: RZ2DA-KA (C) DEC Rev: N1H1
  Type:   Direct-Access                    ANSI SCSI
revision: 02
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: DEC      Model: RZ2DA-KA (C) DEC Rev: N1H1
  Type:   Direct-Access                    ANSI SCSI
revision: 02

Comment 1 Jeff Johnson 1999-08-20 14:02:59 UTC
Red Hat 6.0 uses UNIX98 ptys. Make sure that you have a line
in /etc/fstab like

  none                    /dev/pts        devpts  gid=5,mode=620  0 0

and reboot. UNIX98 ptys look like /dev/pts/n and are created and
deleted dynamically.


Note You need to log in before you can comment on or make changes to this bug.